std::pmr::pool_options(3)

NAME
std::pmr::pool_options - Parameters for tuning a pool resource's behaviour.

SYNOPSIS

#include <memory_resource>

  Public Attributes
size_t largest_required_pool_block
size_t max_blocks_per_chunk
Upper limit on number of blocks in a chunk.

Detailed Description

Parameters for tuning a pool resource's behaviour.

Since
    C++17

Member Data Documentation

  size_t std::pmr::pool_options::max_blocks_per_chunk

Upper limit on number of blocks in a chunk. A lower value prevents allocating huge chunks that could remain mostly unused, but means pools will need to replenished more frequently.

Author

Generated automatically by Doxygen for libstdc++ from the source code.